Benefits & tax profiles

Check Kota Eligibility

Evaluates whether an employee is eligible for Kota benefits, including country employer availability.

GEThttps://api.toku.com/hris/check-kota-eligibility

Required scope: documents:read

curl --request GET \
  --url 'https://api.toku.com/hris/check-kota-eligibility?employeeID=%3CemployeeID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "isEligible": true,
  "reasons": [
    "string"
  ],
  "metadata": {
    "workCountry": "string",
    "employmentCategory": "string",
    "employmentType": "string",
    "workScheduleSource": "TGA",
    "status": "string",
    "startDate": "string",
    "terminationDate": "string",
    "daysUntilStart": 0,
    "daysBetweenStartAndTermination": 0,
    "hasExistingEnrollment": true
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

employeeIDintegerrequired

Allowed: at least 1

Response

200Successful response
isEligiblebooleanrequired
reasonsstring[]required
metadataobjectrequired
Show child attributes
workCountrystring
employmentCategorystring
employmentTypestring
workScheduleSourcestring

Available options: TGA, LEGACY

statusstring
startDatestring
terminationDatestring
daysUntilStartnumber
daysBetweenStartAndTerminationnumber
hasExistingEnrollmentboolean
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits